<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activity.main.MainActivity">

    <ImageView
        android:id="@+id/menu"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginStart="24dp"
        android:src="@drawable/menu"
        app:layout_constraintBottom_toBottomOf="@+id/title"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/title" />

    <ImageView
        android:id="@+id/setting"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginEnd="24dp"
        android:src="@drawable/setting"
        app:layout_constraintBottom_toBottomOf="@+id/title"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/title" />

    <TextView
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:text="@string/app_name"
        android:textColor="@color/white"
        android:textSize="32sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/question"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginTop="48dp"
        android:src="@drawable/question"
        app:layout_constraintEnd_toEndOf="@id/setting"
        app:layout_constraintTop_toBottomOf="@id/setting" />

    <VideoView
        android:id="@+id/animated_video"
        android:layout_width="350dp"
        android:layout_height="350dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/title"
        app:layout_constraintVertical_bias="0.3" />

    <View
        android:id="@+id/animated_view"
        android:layout_width="250dp"
        android:layout_height="250dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/title"
        app:layout_constraintVertical_bias="0.3" />

    <LinearLayout
        android:id="@+id/button_container"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="32dp"
        android:layout_marginEnd="16dp"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/animated_video">

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/single"
            android:layout_width="130dp"
            android:layout_height="48dp"
            android:background="@drawable/btn_border_background"
            android:text="@string/single_point"
            android:textColor="@color/white" />

        <Space
            android:layout_width="56dp"
            android:layout_height="0dp" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/multi"
            android:layout_width="130dp"
            android:layout_height="48dp"
            android:background="@drawable/btn_border_background"
            android:text="@string/multi_point"
            android:textColor="@color/white" />
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>